Skip to main content
GET
/
v2
/
payment_intents
List all PaymentIntents
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment_intents \
  --header 'x-auth-token: <api-key>' \
  --header 'x-client-id: <x-client-id>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "payment_intent_id": "b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6",
      "amount": "10.12",
      "currency": "SGD",
      "intent_status": "REQUIRES_PAYMENT_METHOD",
      "description": "<string>",
      "available_payment_method_types": [
        "<string>"
      ],
      "captured_amount": "10.12",
      "cancel_time": "2024-03-01T00:00:00+08:00",
      "cancellation_reason": "Order cancelled",
      "client_secret": "eyJhbGciOiJI***********ujNdZ1DF9CqWEfF1jphxI",
      "merchant_order_id": "1bf70d90-9ed0-48ce-9370-9bd7ef6ab9ee",
      "metadata": {
        "key1": "value1",
        "key2": "value2"
      },
      "next_action": {
        "type": "redirect_to_url",
        "redirect_to_url": {
          "url": "https://example.checkout-page.com",
          "return_url": "https://example.payment-result-page.com"
        },
        "redirect_iframe": {
          "iframe": "<string>"
        },
        "display_qr_code": {
          "qr_code_url": "https://sg-acquiring-bucket-sandbox.s3.ap-southeast-1.amazonaws.com/payment/20250829/qrcode_PA1961262701099356160?X-Amz-Algorithm=AWS4-HMAC-SHA256\\u0026X-Amz-Credential=ASIAY******f987429",
          "expires_at": "2023-11-07T05:31:56Z"
        },
        "display_bank_details": {
          "bank_name": "<string>",
          "account_number": "GB71950018692652646598",
          "routing_number": "012345678"
        }
      },
      "return_url": "https://127.0.0.1:8080/api/v1/callback",
      "create_time": "2024-03-01T00:00:00+08:00",
      "complete_time": "2024-03-01T00:00:00+08:00",
      "update_time": "2024-03-01T00:00:00+08:00",
      "latest_payment_attempt": {
        "attempt_id": "24fc62b4-90d1-42e3-96ab-dd54ccc648b3",
        "amount": "9.98",
        "currency": "SGD",
        "captured_amount": "0.00",
        "refunded_amount": "0.00",
        "create_time": "2025-03-21T17:17:32+08:00",
        "update_time": "2025-03-21T17:17:32+08:00",
        "complete_time": "2024-03-01T00:00:00+08:00",
        "cancellation_reason": "Order cancelled",
        "auth_code": "A12B3C",
        "arn": "74537604221222132710572",
        "rrn": "123456789012",
        "advice_code": "01",
        "authentication_data": {
          "cvv_result": "M",
          "avs_result": "Y",
          "three_ds": {
            "three_ds_version": "2.2.0",
            "eci": "05",
            "cavv": "AAABCZIhcQAAAABZlyFxAAAAAAA=",
            "three_ds_authentication_status": "Y",
            "three_ds_cancellation_reason": "01"
          }
        },
        "payment_method": {
          "type": "card",
          "card": {
            "card_name": "john doe",
            "card_number": "541333******4047",
            "network": "visa",
            "authorization_type": "authorization",
            "brand": "visa",
            "bin": "541333",
            "last4": "4047",
            "card_type": "credit",
            "expiry_month": "12",
            "expiry_year": "2027",
            "billing": {
              "first_name": "John",
              "last_name": "Doe",
              "email": "john.doe@example.com",
              "address": {
                "country_code": "SG",
                "city": "Singapore",
                "street": "444 Orchard Rd, Midpoint Orchard, Singapore ",
                "postcode": "924011",
                "state": ""
              },
              "phone_number": "12025550123"
            },
            "auto_capture": true
          }
        },
        "failure_code": "",
        "attempt_status": "INITIATED"
      }
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-client-id
string
required

The API client id generated by UQPAY

Query Parameters

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

payment_intent_status
enum<string>

Status of the PaymentIntent. Status of this PaymentIntent.

Available options:
REQUIRES_PAYMENT_METHOD,
REQUIRES_CUSTOMER_ACTION,
REQUIRES_CAPTURE,
PENDING,
SUCCEEDED,
CANCELLED,
FAILED
start_time
string

Exclusive start time used to filter by create_time. ISO 8601 format.

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

Exclusive end time used to filter by create_time. ISO 8601 format.

Example:

"2024-03-02T00:00:00+08:00"

Response

List of payment intents retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]